%define base_name drakx-installer-images
%define name %{base_name}-linus
%define version 1.50
%define release %mkrel 1
%define theme 	Free

# version of kernel-linus we build against
%define install_kernel kernel-linus-2.6.36-1mdv

%define mandriva_version %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' mandriva-release)

# disable empty debug rpms...
%define _enable_debug_packages  %{nil}
%define debug_package           %{nil}

Summary: DrakX installer images using kernel-linus series
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: %{base_name}-%{version}.tar.bz2
License: GPL
Group:   Development/Other
Url:     http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %{install_kernel} kernel-firmware
%ifarch %ix86 x86_64
BuildRequires: memtest86+
BuildRequires: grub
BuildRequires: syslinux >= 3.72
%endif
BuildRequires: drakx-installer-binaries >= 1.47
BuildRequires: ldetect-lst >= 0.1.199
BuildRequires: mandriva-theme-%{theme}
BuildRequires: pcmciautils
BuildRequires: perl-XML-Parser

BuildRequires: cdrkit-genisoimage
BuildRequires: mkdosfs-with-dir
BuildRequires: mknod-m600
BuildRequires: mtools
Buildrequires: busybox-static
Buildrequires: ka-deploy-source-node

%description
images needed to build Mandriva installer (DrakX) using kernel-linus series

%prep
%setup -q -n %{base_name}-%{version}

%build
THEME=Mandriva-%{theme} make -C images KERNELS="%{install_kernel}"

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C images install ROOTDEST=$dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name


%changelog
* Thu Oct 21 2010 Thomas Backlund <tmb@mandriva.org> 1.50-1mdv2011.0
+ Revision: 587110
- sync with main drakx-installer-images-1.50
- rebuild with kernel-linus-2.6.36-1mdv

* Fri Oct 08 2010 Thomas Backlund <tmb@mandriva.org> 1.49-3mdv2011.0
+ Revision: 584110
- rebuild against kernel-linus-2.6.36-0.rc7.1mdv

* Wed Aug 11 2010 Thomas Backlund <tmb@mandriva.org> 1.49-2mdv2011.0
+ Revision: 568968
- build with kernel-linus-2.6.35.1-1mdv

* Mon May 31 2010 Thomas Backlund <tmb@mandriva.org> 1.49-1mdv2010.1
+ Revision: 546743
- sync with main drakx-installer-images-1.49
- build against fixed drakx-installer-binaries-1.46-2

* Tue May 18 2010 Thomas Backlund <tmb@mandriva.org> 1.48-3mdv2010.1
+ Revision: 545082
- build against drakx-installer-binaries-1.46
- build against kernel-linus-2.6.34-1mdv

* Sun May 09 2010 Thomas Backlund <tmb@mandriva.org> 1.48-2mdv2010.1
+ Revision: 544238
- build against kernel-linus-2.6.34-0.rc6.6.1mdv

* Sat Apr 17 2010 Thomas Backlund <tmb@mandriva.org> 1.48-1mdv2010.1
+ Revision: 535764
- sync with main drakx-installer-images-1.48
- drop patch0 (merged)
- build against kernel-linus-2.6.33.2-1mdv

* Thu Feb 25 2010 Thomas Backlund <tmb@mandriva.org> 1.47-7mdv2010.1
+ Revision: 510951
- build against kernel-linus-2.6.33-1mdv

* Sat Feb 13 2010 Thomas Backlund <tmb@mandriva.org> 1.47-6mdv2010.1
+ Revision: 505208
- build against kernel-linus-2.6.33-0.rc8.1mdv

* Sun Feb 07 2010 Thomas Backlund <tmb@mandriva.org> 1.47-5mdv2010.1
+ Revision: 501541
- build against kernel-linus-2.6.33-0.rc7.1mdv

* Sat Feb 06 2010 Thomas Backlund <tmb@mandriva.org> 1.47-4mdv2010.1
+ Revision: 501350
- add missing dir, new path to mke2fs.static (aginies)
- build against kernel-linus-2.6.33-0.rc6.6.1mdv

* Sat Jan 30 2010 Thomas Backlund <tmb@mandriva.org> 1.47-3mdv2010.1
+ Revision: 498455
- build against kernel-linus-2.6.33-0.rc6.1mdv

* Sat Jan 23 2010 Thomas Backlund <tmb@mandriva.org> 1.47-2mdv2010.1
+ Revision: 495248
- build against kernel-linus-2.6.33-0.rc5.1mdv

* Sun Jan 17 2010 Thomas Backlund <tmb@mandriva.org> 1.47-1mdv2010.1
+ Revision: 492621
- build against kernel-linus-2.6.33-0.rc4.4.1mdv
- sync with main drakx-installer-images

* Sat Oct 24 2009 Thomas Backlund <tmb@mandriva.org> 1.46-2mdv2010.0
+ Revision: 459182
- build against kernel-linus-2.6.31.5-1mdv

* Thu Oct 15 2009 Thomas Backlund <tmb@mandriva.org> 1.46-1mdv2010.0
+ Revision: 457552
- sync with main drakx-installer-images-1.46
- rebuild against kernel-linus 2.6.31.4-1mdv
- drop br on plymouth-theme-mdv again
- sync with main drakx-installer-images-1.44
- build against kernel-linus-2.6.31.3-1mdv
- add plymouth-theme-mdv as buildrequire

* Fri Sep 25 2009 Thomas Backlund <tmb@mandriva.org> 1.43-1mdv2010.0
+ Revision: 448541
- build against kernel-linus-2.6.31.1-1mdv
- sync with main drakx-installer-images-1.43

* Thu Sep 10 2009 Thomas Backlund <tmb@mandriva.org> 1.41-12mdv2010.0
+ Revision: 436673
- build against kernel-linus-2.6.31-1mdv

* Tue Sep 08 2009 Thomas Backlund <tmb@mandriva.org> 1.41-11mdv2010.0
+ Revision: 434163
- bump release
- build against kernel-linus-2.6.31-0.rc9.1mdv

* Sat Aug 29 2009 Thomas Backlund <tmb@mandriva.org> 1.41-10mdv2010.0
+ Revision: 422228
- rebuild against kernel-linus-2.6.31-0.rc8.1.1mdv

* Fri Aug 28 2009 Thomas Backlund <tmb@mandriva.org> 1.41-9mdv2010.0
+ Revision: 421920
- build against kernel-linus-2.6.31-0.rc8.1mdv

* Fri Aug 14 2009 Thomas Backlund <tmb@mandriva.org> 1.41-8mdv2010.0
+ Revision: 416323
- build against kernel-linus-2.6.31-0.rc6.1mdv

* Fri Aug 07 2009 Thomas Backlund <tmb@mandriva.org> 1.41-7mdv2010.0
+ Revision: 411491
- build against kernel-linus-2.6.31-0.rc5.3.1mdv

* Tue Jul 28 2009 Thomas Backlund <tmb@mandriva.org> 1.41-6mdv2010.0
+ Revision: 401650
- build against kernel-linus-2.6.31-0.rc4.1.1mdv

* Tue Jul 14 2009 Thomas Backlund <tmb@mandriva.org> 1.41-5mdv2010.0
+ Revision: 396007
- build against kernel-linus-2.6.31-0.rc3.1mdv

* Fri Jun 26 2009 Thomas Backlund <tmb@mandriva.org> 1.41-4mdv2010.0
+ Revision: 389514
- build against kernel-linus-2.6.31-0.rc1.1mdv

* Fri May 01 2009 Thomas Backlund <tmb@mandriva.org> 1.41-3mdv2010.0
+ Revision: 369944
- drop mkrel from buildrequires as it breaks build
- add kernel-firmware to buildrequires
- build against kernel-linus-2.6.29.2-1mdv
- rebuild with latest d-i-binaries that fixes the firmware loading

* Sun Apr 19 2009 Thomas Backlund <tmb@mandriva.org> 1.41-1mdv2009.1
+ Revision: 368025
- sync with main drakx-installer-images-1.41
- build against kernel-linus-2.6.29.1-1mdv

* Sat Mar 28 2009 Thomas Backlund <tmb@mandriva.org> 1.36-3mdv2009.1
+ Revision: 362008
- build against kernel-linus-2.6.29-1mdv
- rebuild against kernel-linus-2.6.29-0.rc8.1mdv

* Tue Mar 10 2009 Thomas Backlund <tmb@mandriva.org> 1.36-1mdv2009.1
+ Revision: 353525
- sync with main 1.36
- build against kernel-linus-2.6.29-0.rc7.3.1mdv
- drop patch0, and pass KERNELS variable from spec instead

* Wed Mar 04 2009 Thomas Backlund <tmb@mandriva.org> 1.35-1mdv2009.1
+ Revision: 348370
- sync with main 1.35
- build against 2.6.29-0.rc7.1mdv

* Tue Feb 17 2009 Thomas Backlund <tmb@mandriva.org> 1.34-1mdv2009.1
+ Revision: 341576
- sync with main 1.34

* Sun Dec 21 2008 Thomas Backlund <tmb@mandriva.org> 1.31-4mdv2009.1
+ Revision: 316836
- fix kernel version in /lib/modules
- fix buildrequires on drakx-installer-binaries
- build against kernel-linus-2.6.28-rc9
- rebuild with kernel-linus-2.6.27-0.rc8.3.1mdv2009.0

* Sun Sep 28 2008 Thomas Backlund <tmb@mandriva.org> 1.31-1mdv2009.0
+ Revision: 289103
- sync with main 1.31
- rebuild against drakx-installer-binaries 1.32-1mdv
- rebuild against kernel-linus-2.6.27-0.rc7.5.1mdv

* Sun Sep 14 2008 Thomas Backlund <tmb@mandriva.org> 1.30-2mdv2009.0
+ Revision: 284815
- build against kernel-linus 2.6.27-0.rc6.1mdv2009.0

* Sat Aug 02 2008 Thomas Backlund <tmb@mandriva.org> 1.30-1mdv2009.0
+ Revision: 260977
- build against kernel-linus-2.6.27-0.rc1.2.1mdv2009
- build against drakx-installer-binaries-1.30-1mdv
- update Patch0 to apply cleanly
- sync with main 1.30
- build against kernel-linus-2.6.25-0.rc6.1mdv
- build against drakx-intaller-binaries-1.26-1mdv

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Feb 29 2008 Thomas Backlund <tmb@mandriva.org> 1.28-1mdv2008.1
+ Revision: 176844
- sync with main 1.28-4mdv
- build against kernel-linus-2.6.25-0.rc3.1mdv

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Thomas Backlund <tmb@mandriva.org> 1.23-3mdv2008.0
+ Revision: 93808
- rebuild against drakx-installer-binaries-1.17
- rebuild against kernel-linus-2.6.23-0.rc8.1mdv

* Fri Sep 21 2007 Thomas Backlund <tmb@mandriva.org> 1.23-2mdv2008.0
+ Revision: 91726
- rebuild against kernel-linus-2.6.23-0.rc7.1mdv

* Mon Sep 17 2007 Thomas Backlund <tmb@mandriva.org> 1.23-1mdv2008.0
+ Revision: 89367
- sync with main 1.23

* Sun Sep 16 2007 Thomas Backlund <tmb@mandriva.org> 1.22-1mdv2008.0
+ Revision: 88676
- sync with main 1.22
- build against kernel-linus-2.6.23-0.rc6.1mdv

* Thu Sep 06 2007 Thomas Backlund <tmb@mandriva.org> 1.20-1mdv2008.0
+ Revision: 81196
- sync with main 1.20
- build against kernel-linus-2.6.23-0.rc5.1mdv


* Wed Mar 28 2007 Thomas Backlund <tmb@mandriva.org> 1.8-2mdv2007.1
+ Revision: 149255
- rebuild with latest stage2 (with mmc_block) (#29909)

* Fri Mar 23 2007 Thomas Backlund <tmb@mandriva.org> 1.8-1mdv2007.1
+ Revision: 148573
- sync with main 1.8
- build against drakx-installer-binaries 1.7
- disable build of empty debug rpms
- sync with main 1.7
- use drakx-installer-image tarball directly
- use the UP kernel-linus(-latest) as installer kernel, to
  make it work on more systems
- update patch0: only check for 2.6.21 series kernels for now
- rebuild against latest kernel-linus
- rebuild against latest drakx-installer-images

* Sun Mar 18 2007 Thomas Backlund <tmb@mandriva.org> 1.6-2mdv2007.1
+ Revision: 145664
- use drakx-installer-images-1.6-2mdv as base
- use same version as main to make it simplier to know it's in sync
- use kernel-linus-smp(-latest) as installer kernel
- add patch0: modify scripts to support kernel-linus
- Created package structure for drakx-installer-images-linus.

